Skip to main content
POST
PublicApiComposeDirectEmail
Use this endpoint through the Developer API or the matching firstsales CLI command when available. Responses use the stable FirstSales public error envelope.

Authorizations

Authorization
string
header
required

FirstSales developer API key bearer token (fs-key-*).

Headers

Idempotency-Key
string
required
Required string length: 8 - 200

Path Parameters

orgId
string
required
Minimum string length: 1
wsId
string
required
Minimum string length: 1

Body

application/json
connectorId
string
required
subject
string
required
Required string length: 1 - 300
body
string
required
Required string length: 1 - 50000
cc
string<email>[]
required
Maximum array length: 10
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
bcc
string<email>[]
required
Maximum array length: 5
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
attachmentIds
string[]
required
Maximum array length: 5
Pattern: ^[a-f0-9]{24}$
mode
enum<string>
default:send
required
Available options:
send,
schedule,
draft
acknowledgedWarnings
enum<string>[]
required
Available options:
rate_limited,
daily_cap_reached,
blocked_domain,
recipient_suppressed,
recipient_unsubscribed,
active_sequence,
newer_message
to
string
required
Maximum string length: 254
bodyFormat
enum<string>
Available options:
html,
text
allowDuringSequence
boolean
stopSequence
boolean
scheduledAt
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
lastSeenAt
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
listId
string

Response

Successful response

email
object
required
contact
object